|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
net.spy.jwebkit.JWHttpServlet
net.spy.jwebkit.debug.DebugServlet
public class DebugServlet
Servlet for getting a view of the JVM.
The following optional request parameters may be provided:
refresh number of seconds to wait between automatic refresh.
show_thread_classes show thread classes.
enable - comma separated list of sections to enabledisable - comma separated list of sections to disableThe following sections are available by default:
properties - system propertiescontext - context info
objectPool - object pool dumpengineSpecific - servlet engine specific informationruntime - runtime info (memory, etc...)threads - thread dumpmySession - dump of the requestor's sessionallSessions - dump of all sessionsrequestAttrs
- dump of the requestor's request attributes
| Constructor Summary | |
|---|---|
DebugServlet()
|
|
| Method Summary | |
|---|---|
protected void |
doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Process the request. |
void |
init(javax.servlet.ServletConfig conf)
Initialize the debug servlet. |
protected boolean |
shouldShow(java.lang.String what)
True if the named section should be shown. |
protected void |
showMore(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
java.io.PrintWriter out)
Hook for subclasses of DebugServlet to provide more information. |
| Methods inherited from class net.spy.jwebkit.JWHttpServlet |
|---|
getContextRelativeFilePathParameter, getLogger, sendHTML, sendPlain, sendSimple, service, service |
| Methods inherited from class javax.servlet.http.HttpServlet |
|---|
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified |
| Methods inherited from class javax.servlet.GenericServlet |
|---|
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public DebugServlet()
| Method Detail |
|---|
public void init(javax.servlet.ServletConfig conf)
throws javax.servlet.ServletException
init in interface javax.servlet.Servletinit in class javax.servlet.GenericServletjavax.servlet.ServletExceptionprotected boolean shouldShow(java.lang.String what)
what - the name of the section
protected void showMore(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response,
java.io.PrintWriter out)
throws javax.servlet.ServletException,
java.io.IOException
request - the servlet requestresponse - the servlet responseout - the output stream
javax.servlet.ServletException
java.io.IOException
protected void doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
throws javax.servlet.ServletException,
java.io.IOException
doGet in class javax.servlet.http.HttpServletjavax.servlet.ServletException
java.io.IOException
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||